ECHO OFF
ECHO.
CLS
ECHO LOGFILE COLLECTOR VERSION 1.0
ECHO (C) COPYRIGHT 1990 BY RANDY MACNEILL
ECHO.
IF "%1" == "" GOTO EXPLAIN
IF "%2" == "" GOTO EXPLAIN
IF NOT EXIST %2\*.LOG GOTO NOLOG
GOTO CONTINUE
:NOLOG
ECHO No *.LOG file(s) found.
:CONTINUE
ECHO.
IF NOT EXIST %2\LOGFILE.* GOTO NOLOGFILE
GOTO BEG
:NOLOGFILE
ECHO No LOGFILE file(s) found.
:BEG
IF EXIST %2\*.LOG GOTO COPYLOG
IF EXIST %2\LOGFILE.* GOTO COPYLOGFILE
ECHO.
ECHO Finished Appending.
GOTO END
:COPYLOG
ECHO.
IF NOT EXIST A:\%1.LOG GOTO CREATELOG
ECHO Appending *.LOG file...
ECHO.
COPY A:\%1.LOG+%2\*.LOG A:\%1.LOG
DEL %2\*.LOG
GOTO BEG
:CREATELOG
ECHO Copying *.LOG file(s)...
ECHO.
COPY %2\*.LOG A:\%1.LOG
DEL %2\*.LOG
GOTO BEG
:COPYLOGFILE
ECHO.
IF NOT EXIST A:\LOGFILE.TXT GOTO MAKELOGFILE
ECHO Appending LOGFILE file...
ECHO.
COPY A:\LOGFILE.TXT+%2\LOGFILE.* A:\LOGFILE.TXT
DEL %2\LOGFILE.*
GOTO BEG
:MAKELOGFILE
ECHO Copying LOGFILE file(s)...
ECHO.
COPY %2\LOGFILE.* A:\LOGFILE.TXT
DEL %2\LOGFILE.*
GOTO BEG
:EXPLAIN
ECHO.
ECHO "TYPE L <filename to append> <complete path to files> "
ECHO EXAMPLE:  L iceman c:\sierra\ice
:END
ECHO.
